import React from "react";
import { BrowserRouter as Router } from "react-router-dom";
import { ThemeProvider } from "@material-ui/core";
import { createMuiTheme } from "@material-ui/core/styles";

import { ReactQueryDevtools } from "react-query-devtools";

import "./styles.css";
import Layout from "./Layout";

export default function App() {
  return (
    <Router>
      <ThemeProvider theme={theme}>
        <Layout />
        <ReactQueryDevtools />
      </ThemeProvider>
    </Router>
  );
}

const theme = createMuiTheme({
  typography: {
    h1: {
      fontFamily: "Roboto Mono, monospace"
    },
    h2: {
      fontFamily: "Roboto Mono, monospace"
    },
    h3: {
      fontFamily: "Roboto Mono, monospace"
    },
    h4: {
      fontFamily: "Roboto Mono, monospace"
    },
    h5: {
      fontFamily: "Roboto Mono, monospace"
    },
    h6: {
      fontFamily: "Roboto Mono, monospace"
    }
  }
});
